﻿using System;
using System.Linq;
using NHibernate;
using NHibernate.Linq;

namespace NHibernateMultipleDatabases
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ISession session = NHibernateHelper.OpenSession())
            {
                var query = (from t in session.Query<Teacher>()
                             join c in session.Query<Class>() on t.Id equals c.TeacherId
                             join s in session.Query<Student>() on c.Id equals s.classid
                             select new 
                             { 
                                TeacherName = t.Name,
                                ClassName = c.Name,
                                StudentName = s.Name
                             }).ToList();

                foreach (var item in query)
                {
                    Console.WriteLine(item.StudentName.Trim() + " Class: " + item.ClassName.Trim() + " By: " + item.TeacherName.Trim());
                }

                Console.ReadKey();
            }
        }
    }
}
